{% extends "core/layout_app.html" %}

{% load i18n %}
{% load extra_filters %}
{% load sekizai_tags %}
{% load rbac_permissions %}


{% block after_logo %}
    &nbsp;&nbsp;
    <a href="{% url "organization_list" %}" class="btn btn-default btn-small">
        <span class="{{ ICONS.back }}"></span>
        {% if organization.logo %}
            <span class="small-logo">
                <img class="" src="{{ organization.logo.url }}">
            </span>
        {% else %}
            <span class="{{ ICONS.organization }}"></span>
        {% endif %}
        {{ organization|truncate_chars:20|default:'' }}
    </a>
{% endblock %}


{% block nav_content %}
    <ul class="nav navbar-nav">
        <li class="{% if 'home' in page_triggers %}active{% endif %}">
            <a href="{% url "home" membership.pk %}" class="icon-label"
               rel="tooltip" title="{% trans "Home page" %}">
                <span class="icon {{ ICONS.home }}"></span>
                <span class="content">
                    {% trans 'Home' %}
                </span>
            </a>
        </li>

        {% if GROWER in user_groups %}
        <li class="{% if "organization" in page_triggers and "my_docs_list" not in page_triggers %}active{% endif %}">
            <a href="{% url 'my_org' membership.pk %}" id='profile-top-link' class="icon-label"
               rel="tooltip" title="{% trans "Profile and organization settings" %}">
                <span class="icon {{ ICONS.organization }}"></span>
                <span class="content">
                    {% trans "Profile" %}
                </span>
            </a>
        </li>

        <li class="{% if "my_assessments" in page_triggers %}active{% endif %}">
            <a href="{% url "my_assessment_list" membership.pk %}" id='assessments-top-link' class="icon-label"
               rel="tooltip" title="{% trans "Your organization's self assessments" %}"
               data-placement="bottom">
                <span class="icon {{ ICONS.assessment }}"></span>
                <span class="content">
                    {% trans "Certification" %}
                </span>
            </a>
        </li>

        <li class="{% if "my_docs_list" in page_triggers %}active{% endif %}">
            <a href="{% url "documents_index" membership.pk %}" id='archive-top-link' class="icon-label"
               rel="tooltip" title="{% trans "Archive" %}">
                <span class="icon {{ ICONS.document }}"></span>
                <span class="content">
                    {% trans "Archive" %}
                </span>
            </a>
        </li>
        {% endif %}
    </ul>
{% endblock %}


{% block content_slice %}

    {{ block.super }}

{% endblock content_slice %}
